# $Revision: 1.34 $, $Date: 2012/01/13 16:27:18 $
#
# TODO:
#	- build and package the 'tests' (sample programs)
#		should be conditional, as adds BR!
#
%define	_pre	pre18
%define	rel	2
Summary:	DSP functions for telephony
Summary(pl.UTF-8):	Funkcje DSP dla telefonii
Name:		spandsp
Version:	0.0.6
Release:	0.%{_pre}.%{rel}
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://www.soft-switch.org/downloads/spandsp/%{name}-%{version}%{_pre}.tgz
# Source0-md5:	98330bc00a581ed8d71ebe34afabbcf9
URL:		http://www.soft-switch.org/
BuildRequires:	audiofile-devel
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	fftw-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
spandsp is a library which provides many of the DSP functions needed
for telephony. It is designed to be independent of the telephony
platform itself.

%description -l pl.UTF-8
spandsp to biblioteka udostępniająca wiele funkcji DSP potrzebnych dla
telefonii. Jest zaprojektowana tak, by była niezależna od samej
platformy telefonicznej.

%package devel
Summary:	Header files to develop applications using spandsp
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji używających spandsp
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libtiff-devel

%description devel
Header files for the spandsp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki spandsp.

%package static
Summary:	Static spandsp library
Summary(pl.UTF-8):	Statyczna biblioteka spandsp
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static spandsp library.

%description static -l pl.UTF-8
Statyczna biblioteka spandsp.

%prep
%setup -q

%build
install /usr/share/automake/config.* config
%configure \
	--disable-tests \
%ifarch athlon pentium3 pentium4
	--enable-mmx \
%endif
%ifarch pentium3 pentium4
	--enable-sse \
%endif
	--enable-doc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libspandsp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspandsp.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspandsp.so
%{_libdir}/libspandsp.la
%{_includedir}/spandsp
%{_includedir}/spandsp.h
%{_pkgconfigdir}/spandsp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libspandsp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spandsp.spec,v $
Revision 1.34  2012/01/13 16:27:18  arekm
- rel 2

Revision 1.33  2011/04/04 11:34:01  jajcus
- disable 'tests' building (these are not automated code tests) – these only
  added insane build dependencies for nothing in the RPM

Revision 1.32  2011/04/02 19:19:57  zbyniu
- up to 0.0.6pre18

Revision 1.31  2009/05/16 21:03:30  hawk
- updated to 0.0.6pre12

Revision 1.30  2009/04/10 18:28:17  qboosh
- more verbose files, ghost soname symlink
- -devel dep

Revision 1.29  2009/03/08 14:28:26  duddits
- up to 0.0.6pre5
- BR: pkgconfig
- more %files

Revision 1.28  2008/06/24 20:34:41  arekm
- up to 0.0.5 pre5

Revision 1.27  2008/06/22 13:31:16  areq
- fix empty log

Revision 1.26  2008/06/22 13:29:58  areq
- 0.0.5pre3

Revision 1.25  2008/04/05 17:21:51  arekm
- up to pre18

Revision 1.24  2008-02-10 11:44:48  arekm
- up to pre16

Revision 1.23  2007/10/31 12:48:41  arekm
- pre 11

Revision 1.22  2007/09/21 07:25:06  arekm
- BR doxygen

Revision 1.21  2007/09/21 07:01:49  arekm
- more BR

Revision 1.20  2007/09/19 08:25:53  arekm
- up to pre9

Revision 1.19  2007/09/17 07:36:51  arekm
- up to pre8

Revision 1.18  2007/07/22 17:17:29  arekm
- up to 0.0.4 pre3

Revision 1.17  2007/04/26 06:22:51  arekm
- up to 0.0.4 pre1

Revision 1.16  2007/04/24 18:00:49  qboosh
- safe mmx/sse options

Revision 1.15  2007/04/19 07:28:19  arekm
- simple setup

Revision 1.14  2007/04/19 06:59:43  arekm
- up to 0.0.3 final
